Service
All operations require authentication.
List Logs Data Platform servicesProduction
Returns the Logs Data Platform services of the account.
Query parameters
Filter resources on IAM tags
Response
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dbaas/ logs \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get a Logs Data Platform serviceProduction
Returns the Logs Data Platform service.
Path parameters
Service name
Response
Service creation
Service custom name
IAM resource metadata
If set, can perform extra action on cluster
Is IAM enabled for this service?
Service plan
ENTERPRISESTANDARDService name
Service state
DISABLEDENABLEDINITTO_CONFIGService last update
Username on DBaaS Logs
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dbaas/ logs/ {serviceName} \
-H "authorization: Bearer $OVH_TOKEN"{ "createdAt": "2024-01-01T12:00:00Z", "displayName": "string", "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "isClusterOwner": true, "isIamEnabled": true, "plan": "ENTERPRISE", "serviceName": "string", "state": "DISABLED", "updatedAt": "2024-01-01T12:00:00Z", "username": "string"}
Get service informationProduction
Returns the billing and contact information of the service.
Path parameters
Service name
Response
Indicates that the service can be set up to be deleted at expiration
All the possible renew period of your service in month
Way of handling the renew
Detailed renewal type of a service
automaticForcedProductautomaticV2012automaticV2014automaticV2016manualoneShotoptionservice.StateEnum
autorenewInProgressexpiredinCreationokpendingDebtunPaidExample uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dbaas/ logs/ {serviceName}/ serviceInfos \
-H "authorization: Bearer $OVH_TOKEN"{ "canDeleteAtExpiration": true, "contactAdmin": "string", "contactBilling": "string", "contactTech": "string", "creation": "2024-01-01", "domain": "string", "engagedUpTo": "2024-01-01", "expiration": "2024-01-01", "possibleRenewPeriod": [ 0 ], "renew": { "automatic": true, "deleteAtExpiration": true, "forced": true, "manualPayment": true, "period": 0 }, "renewalType": "automaticForcedProduct", "serviceId": 0, "status": "autorenewInProgress"}
List service URLsProduction
Returns the URLs exposed by the service.
Path parameters
Service name
Response
Web URI
Service type
CONSOLEELASTICSEARCH_APIGRAYLOG_APIGRAYLOG_WEBUIHTTP_GELFHTTP_TLS_GELFKIBANA_WEBUIOPENSEARCH_APIOSD_WEBUIPROMETHEUS_APISERVICE_DOMAINTCP_BEATSTCP_CAP_N_PROTOTCP_GELFTCP_LTSV_LINETCP_LTSV_NULTCP_RFC5424TCP_TLS_BEATSTCP_TLS_CAP_N_PROTOTCP_TLS_GELFTCP_TLS_LTSV_LINETCP_TLS_LTSV_NULTCP_TLS_RFC5424UDP_CAP_N_PROTOUDP_GELFUDP_LTSV_LINEUDP_LTSV_NULUDP_RFC5424WEB_SOCKETExample uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dbaas/ logs/ {serviceName}/ url \
-H "authorization: Bearer $OVH_TOKEN"[ { "address": "string", "type": "CONSOLE" }]
Get service metrics credentialsProduction
Returns the credentials used to read the service metrics.
Path parameters
Service name
Response
Metrics server url
Metrics credentials
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dbaas/ logs/ {serviceName}/ metrics \
-H "authorization: Bearer $OVH_TOKEN"{ "host": "string", "token": "string"}
Change the service contactProduction
Starts a procedure to change the admin, tech, or billing contact of the service.
Path parameters
Service name
Request body (required)
The contact to set as admin contact
The contact to set as billing contact
The contact to set as tech contact
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dbaas/ logs/ {serviceName}/ changeContact \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Change the service passwordDeprecated
Deprecated since Sep 17, 2025, will be removed on Sep 17, 2026.
Changes the password used to sign in to the service.
Path parameters
Service name
Request body (required)
Password must be at least 12 characters long contain a number, an uppercase, a lowercase and a special letter
Response
Alias used
Operation creation
Dashboard used
Encryption key used
Index used
Input used
Operation ID
OpenSearch Dashboards used
Role used
Service name
Operation status
FAILUREPENDINGRECEIVEDRETRYREVOKEDRUNNINGSTARTEDSUCCESSStream used
Subscription used
Metrics tenant used
Token used
Operation last update
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dbaas/ logs/ {serviceName}/ user/ changePassword \
-H "authorization: Bearer $OVH_TOKEN"{ "aliasId": "00000000-0000-0000-0000-000000000000", "createdAt": "2024-01-01T12:00:00Z", "dashboardId": "00000000-0000-0000-0000-000000000000", "encryptionKeyId": "00000000-0000-0000-0000-000000000000", "indexId": "00000000-0000-0000-0000-000000000000", "inputId": "00000000-0000-0000-0000-000000000000", "operationId": "00000000-0000-0000-0000-000000000000", "osdId": "00000000-0000-0000-0000-000000000000", "roleId": "00000000-0000-0000-0000-000000000000", "serviceName": "string", "state": "FAILURE", "streamId": "00000000-0000-0000-0000-000000000000", "subscriptionId": "00000000-0000-0000-0000-000000000000", "tenantId": "00000000-0000-0000-0000-000000000000", "tokenId": "00000000-0000-0000-0000-000000000000", "updatedAt": "2024-01-01T12:00:00Z"}
Update a Logs Data Platform serviceProduction
Updates the Logs Data Platform service.
Path parameters
Service name
Request body (required)
Service custom name
Enable IAM for this service
Response
Alias used
Operation creation
Dashboard used
Encryption key used
Index used
Input used
Operation ID
OpenSearch Dashboards used
Role used
Service name
Operation status
FAILUREPENDINGRECEIVEDRETRYREVOKEDRUNNINGSTARTEDSUCCESSStream used
Subscription used
Metrics tenant used
Token used
Operation last update
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dbaas/ logs/ {serviceName} \
-H "authorization: Bearer $OVH_TOKEN"{ "aliasId": "00000000-0000-0000-0000-000000000000", "createdAt": "2024-01-01T12:00:00Z", "dashboardId": "00000000-0000-0000-0000-000000000000", "encryptionKeyId": "00000000-0000-0000-0000-000000000000", "indexId": "00000000-0000-0000-0000-000000000000", "inputId": "00000000-0000-0000-0000-000000000000", "operationId": "00000000-0000-0000-0000-000000000000", "osdId": "00000000-0000-0000-0000-000000000000", "roleId": "00000000-0000-0000-0000-000000000000", "serviceName": "string", "state": "FAILURE", "streamId": "00000000-0000-0000-0000-000000000000", "subscriptionId": "00000000-0000-0000-0000-000000000000", "tenantId": "00000000-0000-0000-0000-000000000000", "tokenId": "00000000-0000-0000-0000-000000000000", "updatedAt": "2024-01-01T12:00:00Z"}
Update service informationProduction
Updates the renewal settings of the service.
Path parameters
Service name
Request body (required)
Indicates that the service can be set up to be deleted at expiration
All the possible renew period of your service in month
Way of handling the renew
Detailed renewal type of a service
automaticForcedProductautomaticV2012automaticV2014automaticV2016manualoneShotoptionservice.StateEnum
autorenewInProgressexpiredinCreationokpendingDebtunPaidResponse
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dbaas/ logs/ {serviceName}/ serviceInfos \
-H "authorization: Bearer $OVH_TOKEN"